classification
Title: pdb documentation shows running as script using "python" not "python3"
Type: Stage:
Components: Documentation Versions: Python 3.0, Python 3.1, Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: MLModel, georg.brandl, terry.reedy
Priority: normal Keywords:

Created on 2009-09-11 18:45 by MLModel, last changed 2009-09-18 21:49 by georg.brandl. This issue is now closed.

Messages (4)
msg92515 - (view) Author: Mitchell Model (MLModel) Date: 2009-09-11 18:45
The library documentation page for pdb shows running pdb as a script
using the command
        python -m pdb
Shouldn't that be
        python3 -m pdb
?
msg92673 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-09-16 09:42
Fixed in r74821.
msg92849 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2009-09-18 21:48
On Windows, 3.x has so far been installed as python.exe, not
python3.exe, so this change is not correct for Windows users. So please
consider reverting this until there is a consistent change across platforms.
msg92850 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-09-18 21:49
I assume the poor Windows users can figure out what they need to do :)
History
Date User Action Args
2009-09-18 21:49:09georg.brandlsetmessages: + msg92850
2009-09-18 21:48:27terry.reedysetnosy: + terry.reedy
messages: + msg92849
2009-09-16 09:42:27georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg92673
2009-09-11 18:45:54MLModelcreate